a13nDocs

设置头像

PUT/api/v1/agents/{agent_id}/avatar

认证与授权

认证与授权Bearer <token>

工作空间 API 密钥(a13n_...)

传递位置: header

路径参数

agent_id*Agent Id

请求头参数

If-Match?|

资源 ETag:当前视图的 "{id}:{version}",模型为 "{key}:{version}"

X-Workspace-ID?|

登录会话作用的工作空间 ID,登录会话必须提供。API 密钥作用于自身工作空间,无需提供;禁止指定其他工作空间。

请求体

TypeScript 类型定义

在 TypeScript 中使用 request body 类型。

body*file
格式binary

响应体

application/json

application/json

application/json

curl -X PUT "https://example.com/api/v1/agents/string/avatar" \  -H "Content-Type: image/jpeg" \  -d 'string'
{  "archived_at": "2019-08-24T14:15:22Z",  "created_at": "2019-08-24T14:15:22Z",  "created_by_id": "string",  "default_revision_id": "string",  "description": "string",  "id": "string",  "image_url": "string",  "labels": {    "property1": "string",    "property2": "string"  },  "name": "string",  "organization_id": "string",  "source": "custom",  "updated_at": "2019-08-24T14:15:22Z",  "updated_by_id": "string",  "version": 0,  "workspace_id": "string"}